Skip to main content

Installation Scripts

The scripts provide a guided installation in Docker Compose and will let you select between Lite and Standard during setup.
curl -fsSL https://onyx.app/install_onyx.sh | bash
Or download the script and run it manually:

Linux / macOS (Bash)

Download install.sh and run it with bash install.sh.

Windows (PowerShell)

Download install.ps1 and run it with .\install.ps1 in PowerShell.
The install script can also be used to upgrade an existing deployment. Re-running the script will detect your current installation and prompt you to update to the latest version.
The script will do the following:
  • Check your system resources and requirements
  • Let you choose between Lite and Standard deployment modes
  • Pull the necessary deployment and configuration files
  • Prompt for the version of Onyx to deploy and other basic configuration
  • Pull the Onyx containers and start them in Docker
The script will create a directory called onyx_data and there will also be a README in there with additional information.

Next Steps

Set Up the Desktop App

Install the Onyx desktop application for a native experience on Windows, macOS, and Linux.

Deploy Onyx on AWS EC2

Follow our guide to deploy Onyx on an AWS EC2 instance.